@charset "utf-8";

/* おすすめ情報（回遊ボタン） */
#kaiyu_banner {
	position: fixed;
	left: 10px;
	bottom: 10px;
	z-index: 90;
}
.kaiyu_box {
	position: relative;
}
.kaiyu_ttl {
	position: absolute;
	bottom: 0;
	left: 0;
	z-index: 1;
	width: 120px;
	height: 120px;
	border-radius: 100%;
	overflow: hidden;
	background: #f4c73c;
}
#kaiyu_banner.open .kaiyu_ttl {
	width: calc(120px + 16px);
	padding-right: 16px;
	border-radius: 60px 0 0 60px;
}
.kaiyu_ttl::before {
	content: "";
	position: absolute;
	top: 23px;
	left: 27px;
	display: block;
	width: 109px;
	height: 167px;
	background: url(/img/common/img_kaiyu.png) no-repeat center / contain;
}
#btn_kaiyu_open {
	position: relative;
	z-index: 1;
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: center;
	    -ms-flex-pack: center;
	        justify-content: center;
	-webkit-box-align: center;
	    -ms-flex-align: center;
	        align-items: center;
	width: 120px;
	height: 120px;
	border-radius: 100%;
}
.kaiyu_list {
	display: none;
	padding: 24px 20px 0 60px;
}
#kaiyu_banner.open .kaiyu_list {
	display: block;
}
.kaiyu_list_box {
	position: relative;
	border-radius: 30px 0 0 0;
	padding: 25px 40px 25px 85px;
	background: #f4c73c;
}
.kaiyu_list_box2 {
	display: -webkit-box;
	display: -ms-flexbox;
	display: flex;
	-webkit-box-pack: start;
	    -ms-flex-pack: start;
	        justify-content: flex-start;
	-webkit-box-align: end;
	    -ms-flex-align: end;
	        align-items: flex-end;
	-ms-flex-wrap: wrap;
	    flex-wrap: wrap;
	gap: 20px;
}
.kaiyu_list_box2 a {
	display: block;
	max-width: 300px;
	border-radius: 10px;
	overflow: hidden;
}
.kaiyu_list_box2 img {
	display: block;
	width: 100%;
}
#btn_kaiyu_close {
	position: absolute;
	top: 0;
	right: 0;
	translate: 20px -24px;
	display: block;
	width: 50px;
	height: 50px;
	border-radius: 100%;
	background: url(/img/common/icon_clear.png) no-repeat center / 13px 13px #69d359;
}
@-webkit-keyframes hopping {
	0% {translate: 0 0}
	50% {translate: 0 -10px}
	100% {translate: 0 0}
}
@keyframes hopping {
	0% {translate: 0 0}
	50% {translate: 0 -10px}
	100% {translate: 0 0}
}
@media (hover: hover) {
	.kaiyu_ttl:has(button:hover)::before {
		-webkit-animation: hopping .2s linear 0s 2 backwards;
		        animation: hopping .2s linear 0s 2 backwards;
	}
	#btn_kaiyu_close {
		-webkit-transition: .5s opacity;
		transition: .5s opacity;
	}
	#btn_kaiyu_close:hover {
		opacity: .75;
	}
}

/* ----------------------------------------
背景色変更
---------------------------------------- */
.color_change {
	#btn_kaiyu_open {
		background-color: transparent !important;
	}
	#btn_kaiyu_open img {
		-webkit-filter: drop-shadow(0 0 1px #fff)  drop-shadow(0 0 1px #fff) drop-shadow(0 0 1px #fff) drop-shadow(0 0 1px #fff);
		        filter: drop-shadow(0 0 1px #fff)  drop-shadow(0 0 1px #fff) drop-shadow(0 0 1px #fff) drop-shadow(0 0 1px #fff);
	}
	#btn_kaiyu_open {
		border: 1px solid;
	}
	.open #btn_kaiyu_open {
		border: none;
	}
}
.color_black {

}
.color_blue {

}

/* ==================================================
スマートフォン
================================================== */
@media screen and (max-width: 1080px) {
	#kaiyu_banner {
		bottom: auto;
		top: 100%;
		left: 0;
		width: 100%;
		height: 100vh;
		height: 100dvh;
		z-index: 100;
		background: #e2db10;
		overflow: auto;
		-ms-scroll-chaining: none;
		    overscroll-behavior: none;
		-webkit-transition: .5s translate;
		transition: .5s translate;
	}
	.spm_kaiyu_open #kaiyu_banner {
		translate: 0 -100%;
	}
	.kaiyu_box {
		position: static;
		display: -webkit-box;
		display: -ms-flexbox;
		display: flex;
		height: 100%;
	}
	.kaiyu_ttl,
	.kaiyu_ttl * {
		display: none !important;
	}
	.kaiyu_list {
		display: block;
		padding: 20px 20px calc(20px + 70px);
		margin: auto;
	}
	.kaiyu_list_box {
		position: static;
		border-radius: 0;
		padding: 0;
		background: none;
	}
	.kaiyu_list_box2 {
		-webkit-box-pack: center;
		    -ms-flex-pack: center;
		        justify-content: center;
		-webkit-box-align: start;
		    -ms-flex-align: start;
		        align-items: flex-start;
	}
	#btn_kaiyu_close {
		display: none !important;
	}
}
/* ==================================================
スマートフォン ここまで
================================================== */